####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    allowedContent: 'ul li; a[!href,title,target,alt]'
    defaultContentLanguage: "de"
    defaultLanguage: "de"
    contentsCss: "EXT:mrm_be/Resources/Public/Css/rte_contents_styles.css"

    toolbarGroups:
      - { name: 'document', groups: [ 'mode', 'document', 'doctools' ] }
      - { name: 'clipboard', groups: [ 'clipboard', 'undo' ] }
      - { name: 'tools', groups: [ 'tools' ] }
      - '/'
      - { name: 'paragraph', groups: [ 'list' ] }
      - { name: 'links', groups: [ 'links' ] }
      - { name: 'insert', groups: [ 'insert' ] }
      - { name: 'styles', groups: [ 'styles' ] }

    removeButtons:
      - Form
      - Checkbox
      - Radio
      - TextField
      - Textarea
      - Select
      - Button
      - ImageButton
      - HiddenField
      - Outdent
      - Indent
      - CreateDiv
      - Strike
      - Underline
      #- Styles
      - Format
      - Font
      - FontSize
      - TextColor
      - BGColor
      - About
      - HorizontalRule
      - JustifyLeft
      - JustifyCenter
      - JustifyRight
      - JustifyBlock
      - BidiRtl
      - BidiLtr
      - Language
      - Flash
      - Image
